Verify access token
curl --request POST \
--url https://org-api.hexoforge.dev/api/v1/pub/{project_id}/auth/verify \
--header 'X-API-Key: <api-key>'import requests
url = "https://org-api.hexoforge.dev/api/v1/pub/{project_id}/auth/verify"
headers = {"X-API-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};
fetch('https://org-api.hexoforge.dev/api/v1/pub/{project_id}/auth/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"valid": true,
"user_id": "<string>",
"roles": [
"<string>"
],
"permissions": [
"<string>"
]
}Public API
Verify access token
Introspect a JWT access token and return claims.
POST
/
api
/
v1
/
pub
/
{project_id}
/
auth
/
verify
Verify access token
Validates the access token in
Authorization and returns claims. Requires X-API-Key and Bearer token.
Send both
X-API-Key and Authorization: Bearer with the token under test.Response
200 OK{
"valid": true,
"user_id": "550e8400-e29b-41d4-a716-446655440000",
"roles": ["user", "editor"],
"permissions": ["read:posts", "write:posts"]
}
Whether the token is currently valid.
Present when
valid is true.Role slugs when valid.
Permission slugs when valid.
Status codes
| Code | Meaning |
|---|---|
| 200 | Body describes validity |
| 401 | Token invalid, expired, or revoked |
⌘I